> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Flag Return

> Flag a return in Loop for review. This will prevent automated processing and will require a human to go
into the merchant admin in Loop and review this return.

### Required API key scope
- Returns




## OpenAPI

````yaml post /warehouse/return/{return_id}/flag
openapi: 3.1.0
info:
  title: Returns API
  version: v1
  description: API used for performing operations on returns.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Return Actions
  - name: Return Data
paths:
  /warehouse/return/{return_id}/flag:
    post:
      tags:
        - Return Actions
      summary: Flag Return
      description: >
        Flag a return in Loop for review. This will prevent automated processing
        and will require a human to go

        into the merchant admin in Loop and review this return.


        ### Required API key scope

        - Returns
      operationId: flagReturn
      parameters:
        - in: path
          name: return_id
          schema:
            type: integer
          required: true
          description: The unique identifier associated with the return.
      responses:
        '200':
          $ref: '#/components/responses/FlagReturn'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - api_key: []
components:
  responses:
    FlagReturn:
      description: Success
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/SuccessMessage'
              - $ref: '#/components/schemas/UnprocessableStateReturn'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    examples:
                      - '401'
                  http_code:
                    type: string
                    examples:
                      - GEN-UNAUTHORIZED
                  message:
                    type: string
                    examples:
                      - Unauthorized.
  schemas:
    SuccessMessage:
      description: The value returned when the return has been queued for processing.
      type: string
      examples:
        - 'true'
    UnprocessableStateReturn:
      type: object
      description: The value returned when the return is closed and can't be processed.
      properties:
        errors:
          type: object
          properties:
            message:
              type: string
              examples:
                - Return is closed and therefore cannot be processed.
            code:
              type: string
              examples:
                - UNPROCESSABLE_RETURN
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````